package com.zd.laboratory.service;

import java.util.List;
import com.zd.laboratory.domain.LabSemester;

/**
 * 学期设置Service接口
 * 
 * @author zd
 * @date 2021-12-13
 */
public interface ILabSemesterService 
{
    /**
     * 查询学期设置
     * 
     * @param id 学期设置主键
     * @return 学期设置
     */
    public LabSemester selectLabSemesterById(Long id);

    /**
     * 查询学期设置列表
     * 
     * @param labSemester 学期设置
     * @return 学期设置集合
     */
    public List<LabSemester> selectLabSemesterList(LabSemester labSemester);

    /**
     * 新增学期设置
     * 
     * @param labSemester 学期设置
     * @return 结果
     */
    public int insertLabSemester(LabSemester labSemester);

    /**
     * 修改学期设置
     * 
     * @param labSemester 学期设置
     * @return 结果
     */
    public int updateLabSemester(LabSemester labSemester);

    /**
     * 批量删除学期设置
     * 
     * @param ids 需要删除的学期设置主键集合
     * @return 结果
     */
    public int deleteLabSemesterByIds(Long[] ids);

    /**
     * 删除学期设置信息
     * 
     * @param id 学期设置主键
     * @return 结果
     */
    public int deleteLabSemesterById(Long id);

    List<LabSemester> allSemesterList();
}
